Loading...
Searching...
No Matches
search_parsing.cpp File Reference

Implements raptor::search_parsing. More...

`#include <seqan3/io/views/async_input_buffer.hpp>`
`#include <raptor/argument_parsing/init_shared_meta.hpp>`
`#include <raptor/argument_parsing/search_parsing.hpp>`
`#include <raptor/argument_parsing/validators.hpp>`
`#include <raptor/dna4_traits.hpp>`
`#include <raptor/index.hpp>`
`#include <raptor/search/search.hpp>`

## Functions

void | raptor::init_search_parser (sharg::parser &parser, search_arguments &arguments)
void | raptor::search_parsing (sharg::parser &parser)

## Detailed Description

Implements raptor::search_parsing.

Author
  Enrico Seiler <enrico.seiler AT fu-berlin.de>